﻿/*footer*/
.footer {
    background-color: #e6e6e6;
    padding-bottom: 60px;
    padding-top: 60px;
    width: 100%;
}
/*media query from lowest to highest*/
@media (min-width: 768px) {
    .footer-container {
        width: 750px;
    }
}

@media (min-width: 992px) {
    .footer-container {
        width: 970px;
    }
}

@media (min-width: 1210px) {
    .footer-container {
        width: 1200px;
    }
}

.footer-container {
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
}

.row {
    margin-right: -15px;
    margin-left: -15px;
}

.main-footer {
    display: flex;
    text-align: left;
}

.main-footer > div {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
}

.main-footer > div > h2 {
    color: #3d3d3d;
    /*font-family: "Knockout 50 A","Knockout 50 B";*/
    font-family: "Knockout";
    font-size: 16px;
    font-weight: 400;
    margin-top: 0;
    line-height: 1.1;
    text-transform: uppercase;
    margin-bottom: 10px;
}

@media (min-width:768px) {
    .col-sm-1, .col-sm-2, .col-sm-3, .col-sm-4,
    .col-sm-5, .col-sm-6, .col-sm-7, .col-sm-8,
    .col-sm-9, .col-sm-10, .col-sm-11, .col-sm-12 {
        float: left;
    }
}

@media (max-width: 992px) {
    .footer-logo {
        padding-bottom: 30px;
    }

    .newsletter-signup {
        padding-top: 20px;
    }
}

.main-footer p {
    color: #3d3d3d;
    font-family: helvetica,arial,sans-serif;
    font-size: 14px;
    line-height: 22px;
    margin-bottom: 20px;
}

.main-footer .version {
    margin-bottom: 0;
    text-transform: unset;
}

.main-footer .footer-powered-by {
    font-family: helvetica,arial,sans-serif;
    text-transform: none;
    margin: 0;
}

.main-footer .footer-powered-by a {
    text-decoration: underline;
}

.main-footer a {
    margin-bottom: 3px;
}

    .main-footer a:hover {
        text-decoration: none;
        opacity: 0.3;
        transition-duration: 0.2s;
        transition-delay: 0.05s;
    }

.main-footer p a {
    color: #3d3d3d;
    text-decoration: none;
    background-color: transparent;
}

/* Logo section */
.footer-logo img {
    margin-bottom: 13px;
    width: 130px;
}

.footer-logo p {
    color: #3d3d3d;
    font-family: helvetica,arial,sans-serif;
    font-size: 12px;
    font-weight: 300;
    font-weight: 700;
    text-transform: uppercase;
}

/*news*/
.footer-newsletter .btn-red {
    background-color: #e50411;
    border: 0;
    border-radius: 0;
    box-sizing: border-box;
    color: #fff;
    display: inline-block;
    font-family: 'Roboto Condensed';
    font-size: 11px;
    letter-spacing: .5px;
    margin: 0;
    padding-bottom: 9px;
    padding-left: 20px;
    padding-right: 20px;
    padding-top: 9px;
    text-transform: uppercase;
}

    .footer-newsletter .btn-red:hover {
        filter: brightness(85%);
    }

.footer-newsletter p {
    margin-bottom: 20px;
}


/*section media queries*/
/* logo width */
.col-xs-12 {
    width: 100%;
}

@media (min-width: 1200px) {
    /*contact, moreinfo*/
    .col-lg-2 {
        width: 16.66666667%;
        width: calc(100% / 6);
    }
    /*company, connect*/
    .col-lg-1 {
        width: 8.33333333%;
        width: calc(100% / 12);
    }
    /*news*/
    .col-lg-4 {
        width: 33.33333333%;
        width: calc(100% / 3);
    }
}

@media (min-width: 992px) and (max-width: 1199px) {
    /*contact, moreinfo*/
    .col-md-2 {
        width: 16.66666667%;
        width: calc(100% / 6);
    }
    /*company, connect*/
    .col-md-1 {
        width: 8.33333333%;
        width: calc(100% / 12);
    }
    /*news*/
    .col-md-4 {
        width: 33.33333333%;
        width: calc(100% / 3);
    }
}

@media (min-width: 768px) and (max-width: 991px) {
    /* logo */
    .footer-logo {
        max-width: 100%;
        flex: 0 0 100%;
    }
    /*contact*/
    .col-sm-4 {
        width: 16.66666667%;
        width: calc(100% / 6);
    }

    .footer-contact {
        max-width: 33.33333333%;
        max-width: calc(100% / 3);
        flex: 0 0 33.33333333%;
    }
    /*company, connect*/
    .col-sm-2 {
        width: 16.66666667%;
        width: calc(100% / 6);
    }

    .footer-company, .footer-connect {
        max-width: 16.66666667%;
        max-width: calc(100% / 6);
        flex: 0 0 16.66666667%;
    }
    /*moreinfo*/
    .col-sm-3 {
        width: 25%;
        width: calc(100% / 4);
        max-width: 25%;
        flex: 0 0 25%;
    }

    .footer-moreinfo {
        max-width: 25%;
        max-width: calc(100% / 4);
        flex: 0 0 25%;
    }
    /*news*/
    .col-md-4 {
        max-width: 100%;
        flex: 0 0 100%;
    }

    .footer-newsletter {
        padding-top: 20px;
    }
}

@media (max-width: 767px) {
    /*logo*/
    .footer-logo {
        padding-bottom: 60px;
    }
    /*other sections*/
    .footer-contacter, .footer-company, .footer-connect, .footer-moreinfo, .footer-newsletter {
        padding-bottom: 40px;
    }
        /*newsletter button*/
        .footer-newsletter .btn-red {
            background-color: #e50411;
            border: 0;
            border-radius: 0;
            color: #fff;
            display: block;
            font-family: Arial,Helvetica,sans-serif;
            font-size: 12px;
            font-weight: 700;
            height: auto;
            line-height: normal;
            padding: 11px;
            text-align: center;
            width: 100%;
        }
}
